VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IReference Class Referenceabstract

`#include <vstguibase.h>`

Inheritance diagram for IReference:

## Public Member Functions
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Member Function Documentation

## ◆ forget()

virtual void forget | ( |  | ) |
| pure virtual

decrease refcount and delete object if refcount == 0

Implemented in ReferenceCounted< T >, ReferenceCounted< int32_t >, ReferenceCounted< int32_t >, ReferenceCounted< std::atomic< int32_t > >, and ReferenceCounted< std::atomic< int32_t > >.

## ◆ remember()

virtual void remember | ( |  | ) |
| pure virtual

increase refcount

Implemented in ReferenceCounted< T >, ReferenceCounted< int32_t >, ReferenceCounted< int32_t >, ReferenceCounted< std::atomic< int32_t > >, and ReferenceCounted< std::atomic< int32_t > >.

The documentation for this class was generated from the following file:

- vstguibase.h